Core - Bug # 61699

Epic # 58282 (Accepted): Workspaces Workpackage #2
Story # 58284 (New): Bug fixes & Behaviour

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Default
Created: 2014-09-18 Assigned To: Oliver Hader
Updated: 2014-09-18 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity: medium

Is Regression: Yes

Sprint Focus:

Subject: Workspace Preview not working with lockSSL=3

Description

The workspace preview does not work with lockSSL=3 being defined in the Install Tool. First it looks like a CSS issue, in the end it

boils down that the preview IFRAMEs are not correctly initialized in

\TYPO3\CMS\Workspaces\Hook\TypoScriptFrontendControllerHook. The mentioned hook is only called once for the request to the

first IFRAME showing the website frontend preview and won't be called for further.

The reason is, that cache expire headers are sent that prevent the client to update the preview on each preview request. That's why
the mentioned hook is not called and the IFRAMEs are not initialized properly. No-Cache headers are sent if a backend user object is
initialized correctly - and that's the actual bug, a wrong but strict PHP condition, comparing a string (lockSSL) with an integer value.

The comparison flaw was integrated with issue #54265

Related issues:
related to Core - Task # 54265: Use (int) instead of intval() or (integer)
related to Core - Bug # 61374: Workspace Preview unusable due to size

related to Core - Bug # 61376: Workspace Preview does not toggle between Live...

Resolved 2013-12-07
Closed 2014-09-05
Closed 2014-09-05

Associated revisions

Revision ede69ff6 - 2014-09-18 11:36 - Oliver Hader

[BUGFIX] Workspace Preview not working with lockSSL=3

The workspace preview does not work with lockSSL=3 being defined
in the Install Tool. First it looks like a CSS issue, in the end

it boils down that the preview IFRAMEs are not correctly

initialized in Workspaces\Hook\TypoScriptFrontendControllerHook.

The mentioned hook is only called once for the request to the
first IFRAME showing the website frontend preview and won't be
called for further.

The reason is, that cache expire headers are sent that prevent
the client to update the preview on each preview request.
That's why the mentioned hook is not called and the IFRAMEs
are not initialized properly. No-Cache headers are sent if a
backend user object is initialized correctly - and that's the
actual bug, a wrong but strict PHP condition, comparing a string
(lockSSL) with an integer value.

The comparison flaw was integrated with issue #54265

Change-Id: 113c5c2f22f5b43b49f8eead88f1bc82daf4 15cbb
Resolves: #61699

Releases: master, 6.2

Reviewed-on: http://review.typo3.org/32851

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>

Tested-by: Oliver Hader <oliver.hader@typo3.org>

Revision 9cOba3a9 - 2014-09-18 11:36 - Oliver Hader

[BUGFIX] Workspace Preview not working with lockSSL=3

The workspace preview does not work with lockSSL=3 being defined
in the Install Tool. First it looks like a CSS issue, in the end

it boils down that the preview IFRAMEs are not correctly

initialized in Workspaces\Hook\TypoScriptFrontendControllerHook.

The mentioned hook is only called once for the request to the
first IFRAME showing the website frontend preview and won't be
called for further.

The reason is, that cache expire headers are sent that prevent
the client to update the preview on each preview request.
That's why the mentioned hook is not called and the IFRAMEs
are not initialized properly. No-Cache headers are sent if a
backend user object is initialized correctly - and that's the
actual bug, a wrong but strict PHP condition, comparing a string

(lockSSL) with an integer value.

The comparison flaw was integrated with issue #54265

Change-Id: 113c5c2f22f5b43b49f8eead88f1bc82daf4 15cbb
Resolves: #61699

Releases: master, 6.2

Reviewed-on: http://review.typo3.org/32857

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>

Tested-by: Oliver Hader <oliver.hader@typo3.org>

History

#1 - 2014-09-18 10:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32851

2015-08-04

2/3


http://review.typo3.org/32851
mailto:typo3@wouterwolters.nl
mailto:klein.t3@reelworx.at
mailto:klein.t3@reelworx.at
mailto:oliver.hader@typo3.org
mailto:oliver.hader@typo3.org
http://review.typo3.org/32857
mailto:oliver.hader@typo3.org
mailto:oliver.hader@typo3.org
http://review.typo3.org/32851

#2 - 2014-09-18 11:36 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32857

#3 - 2014-09-18 12:01 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ede69ff629f4d5f8b7564831f36e8f04aa8508fc.

#4 - 2014-09-18 15:38 - Oliver Hader
- Parent task set to #58284
